// Injection Wizard
// --An application for injecting traffic in WEP protected Wi-Fi networks--
// Version: 1.0
// Copyright (C) 2010 Fernando Pablo Romero Navarro <fernpromero@gmail.com>
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

package cliente;

import javax.swing.*;
import java.util.ResourceBundle;

public class RunQuestion implements Runnable{

    private JFrame frame=null;
    private ResourceBundle bundle=null;
    private String question=null;
    private boolean yes=false;
    private int answer=-1;
    

    public RunQuestion(JFrame window, ResourceBundle bundle,
                       String question, boolean defaultIsYes){

        this.frame=window;
        this.bundle=bundle;
        this.question=question;
        this.yes=defaultIsYes;
    }
    
    public void run(){
        String title=bundle.getString("ANS");
        String defaultans=null;
        String[] answers=new String[]{bundle.getString("LABELYES"),
                                      bundle.getString("LABELNO")};

        defaultans=yes?answers[0] : answers[1];
        answer=yes?JOptionPane.YES_OPTION : JOptionPane.NO_OPTION;

        answer=JOptionPane.showOptionDialog(frame, question, title,
                                            JOptionPane.YES_NO_OPTION,
                                            JOptionPane.QUESTION_MESSAGE,
                                            null, answers, defaultans);
    }

    public int getAnswer(){
        return answer;
    }
}
